# $Revision: 1.5.2.2 $, $Date: 2003/04/28 12:51:52 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Module
%define	pnam	Reload-Sel
Summary:	Module::Reload::Selective -- Reload perl modules during development
Summary(pl):	Module::Reload::Selective -- Przeaduj modu perla w trakcie pracy
Name:		perl-Module-Reload-Selective
Version:	1.02
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utility for module developers to selectively reload needed modules
and/or conditionally augment @INC with additional, per-developer library
directories, at development time based on environment variables.

%description -l pl
Narzdzie dla twrcw moduw, suce do wybirczego przeadowywania
moduw i/lub warunkowego dodawania do @INC dodatkowych, specyficznych
dla konkretnego developera katalogw z bibliotekami w trakcie pisania
programu w oparciu o zmienne rodowiskowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
#%%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/Module/Reload
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Module-Reload-Selective.spec,v $
Revision 1.5.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.5.2.1  2003/03/13 00:58:11  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/28 10:08:27  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:36:56  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.1  2002/07/25 21:21:31  radek
- new, STBR

